// embedguiView.h : interface of the CEmbedguiView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EMBEDGUIVIEW_H__1C7DEB6C_9ECD_11D3_A40F_000629E2F30B__INCLUDED_)
#define AFX_EMBEDGUIVIEW_H__1C7DEB6C_9ECD_11D3_A40F_000629E2F30B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

interface IEmbeddedGui;

class CEmbedguiView : public CView
{
protected: // create from serialization only
	CEmbedguiView();
	DECLARE_DYNCREATE(CEmbedguiView)

// Attributes
public:
	CEmbedguiDoc* GetDocument();

	IEmbeddedGui* m_pGUI;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEmbedguiView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEmbedguiView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CEmbedguiView)
	afx_msg void OnEmbeddedguiappGuifromatldll();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in embedguiView.cpp
inline CEmbedguiDoc* CEmbedguiView::GetDocument()
   { return (CEmbedguiDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EMBEDGUIVIEW_H__1C7DEB6C_9ECD_11D3_A40F_000629E2F30B__INCLUDED_)
